name: Deploy Website
on:
  push:
    branches:
      - main # Ändere dies in 'master', falls dein Haupt-Branch so heißt

jobs:
  deploy:
    runs-on: ubuntu-latest
    steps:
      - name: Trigger Pull on Server
        uses: appleboy/ssh-action@v1.0.3
        with:
          host: ${{ secrets.SERVER_HOST }}
          username: ${{ secrets.SERVER_USER }}
          key: ${{ secrets.SERVER_SSH_KEY }}
          script: |
            echo "Deploying nutellarechner.de..."
            cd /opt/my-web-apps/nutellarechner.de
            git pull origin main
            chown -R 33:33 .